# ModelLocalRecoding.LocalRecodingMode (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Enum ModelLocalRecoding.LocalRecodingMode

- java.lang.Object
- - java.lang.Enum<ModelLocalRecoding.LocalRecodingMode>
  - - org.deidentifier.arx.gui.model.ModelLocalRecoding.LocalRecodingMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ModelLocalRecoding.LocalRecodingMode>
  Enclosing class:
    ModelLocalRecoding

      public static enum ModelLocalRecoding.LocalRecodingMode
      extends java.lang.Enum<ModelLocalRecoding.LocalRecodingMode>

  Possible modes for local recoding

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIXPOINT`
    `FIXPOINT_ADAPTIVE`
    `MULTI_PASS`
    `SINGLE_PASS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModelLocalRecoding.LocalRecodingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ModelLocalRecoding.LocalRecodingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_PASS

          public static final ModelLocalRecoding.LocalRecodingMode SINGLE_PASS

    - #### MULTI_PASS

          public static final ModelLocalRecoding.LocalRecodingMode MULTI_PASS

    - #### FIXPOINT

          public static final ModelLocalRecoding.LocalRecodingMode FIXPOINT

    - #### FIXPOINT_ADAPTIVE

          public static final ModelLocalRecoding.LocalRecodingMode FIXPOINT_ADAPTIVE

  - ### Method Detail

    - #### values

          public static ModelLocalRecoding.LocalRecodingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModelLocalRecoding.LocalRecodingMode c : ModelLocalRecoding.LocalRecodingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModelLocalRecoding.LocalRecodingMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null